include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kdiff3 (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        main.cpp
        kdiff3_shell.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### libkdiff3part (kpart)

tde_add_kpart( libkdiff3part AUTOMOC

  SOURCES
        kdiff3_part.cpp
        kdiff3.cpp
        directorymergewindow.cpp
        merger.cpp
        pdiff.cpp
        difftextwindow.cpp
        diff.cpp
        optiondialog.cpp
        mergeresultwindow.cpp
        fileaccess.cpp
        gnudiff_analyze.cpp
        gnudiff_io.cpp
        gnudiff_xmalloc.cpp
        common.cpp
        smalldialogs.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeprint-shared
     tdeparts-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES kdiff3_shell.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
    SOURCE kdiff3part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
    FILES kdiff3_part.rc
    DESTINATION ${DATA_INSTALL_DIR}/kdiff3part
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )
